Subject: astronomical resources

From: [email-masked] (Judy Bausch)
Date: Wed, 27 Apr 1994 10:38:24 -0600

I was looking at the list on Mosaic a short while ago and noticed that
University of Chicago is misspelled (under Observatories and Institutes).
Are you the person who can correct this?

******************************************************************************
Judith A. Bausch                                voice: 414-245-5555
Yerkes Observatory Library                      fax: 414-245-9805
Center for Astrophysical Research               email: [email-masked]
373 W. Geneva St.
P.O. Box 258
Williams Bay, WI 53191-0258
******************************************************************************